btb-class |

# CustomLoadingProvider.LoadItemAsync Method

Perform single pass of thumbnail item loading on background.

protected abstract void LoadItemAsync(
BetterThumbnailBrowserItem item,
Size targetImageSize,
out ILoadingProviderData data
);

#### Parameters

item
  Item to perform loading on.
targetImageSize
  Target thumbnail image size.
data
  User data from background loading.

#### See Also

CustomLoadingProvider Class | ComponentOwl.BetterThumbnailBrowser Namespace